searchNodes=[{"ref":"PersistentStorage.html","title":"PersistentStorage","type":"module","doc":"Stores and retrieves terms from small flat files on embedded systems. PersistentStorage is intended for trivial persistent storage of basic system and application configuration information on embedded systems. It is not intended to be a replacement for dets, sqlite, or many other far more capable databases. It favors simplicity and robustness over performance and capability. Configuration Define one or more storage areas in your config.exs as follows... # my_app/config/config.exs ... config :persistent_storage, tables: [ settings: [path: &quot;/root/storage/settings&quot;], provisioning: [path: &quot;/boot/provisioning&quot;] ] The :path option is required is used to specify the filesystem path where files will be written. Usage # write to settings (this will create the file at # /root/storage/settings/network iex&gt; PersistentStorage.put :settings, :network, %{ ip_address: {192,168,1,100}, mode: :static } # later, we can read it (this reads from ets cache if possible) iex&gt; PersistentStorage.get :settings, :network %{ip_address: {192,168,1,100}, mode: :static} # read some provisioning data -- for purposes of this example, we # assume it was written when device was first flashed) iex&gt; PersistentStorage.get :provisioning, :device_data [serial_number: &quot;302F1010&quot;, mfg_timestamp: &quot;2016-05-04T03:28:35.279977Z&quot;]"},{"ref":"PersistentStorage.html#delete/2","title":"PersistentStorage.delete/2","type":"function","doc":"Removes an entry from storage. PersistentStorage.delete :network_settings, :router_ip_address"},{"ref":"PersistentStorage.html#get/3","title":"PersistentStorage.get/3","type":"function","doc":"Return the value associated with the given key in the specified storage. If the storage storage does not contain a key, returns the value of default (or nil if default is not provided). Uses the ets cache if possible, otherwise reads from disk. Examples PersistentStorage.get :network_settings, :router_ip_address PersistentStorage.get :network_settings, :router_ip_address, {0,0,0,0}"},{"ref":"PersistentStorage.html#put/2","title":"PersistentStorage.put/2","type":"function","doc":"Puts a single key and its associated value into storage. This is simple syntactic sugar for put/3 to allow specifying arguments with a keyword list consisting of a single key/value pair. Example PersistentStorage.put :network_settings, router_ip_address: {192,168,15,1}"},{"ref":"PersistentStorage.html#put/3","title":"PersistentStorage.put/3","type":"function","doc":"Put a single key and its associated value into storage. Example PersistentStorage.put :network_settings, :router_ip_address, {192,168,15,1}"},{"ref":"PersistentStorage.html#start/2","title":"PersistentStorage.start/2","type":"function","doc":"OTP Application start callback. Starts a supervisor with only one child process to own ETS tables."},{"ref":"PersistentStorage.html#t:key/0","title":"PersistentStorage.key/0","type":"type","doc":""},{"ref":"PersistentStorage.html#t:posix/0","title":"PersistentStorage.posix/0","type":"type","doc":""},{"ref":"PersistentStorage.html#t:table/0","title":"PersistentStorage.table/0","type":"type","doc":""},{"ref":"PersistentStorage.html#t:value/0","title":"PersistentStorage.value/0","type":"type","doc":""}]